Package org.eclipse.emf.cdo.server

# Class IRepositoryProtector.UserInfoChangedEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.emf.cdo.server.IRepositoryProtector.UserInfoChangedEvent

All Implemented Interfaces:
  `Serializable`, `org.eclipse.net4j.util.event.IEvent`

Enclosing interface:
  `IRepositoryProtector`

public static final class IRepositoryProtector.UserInfoChangedEvent extends org.eclipse.net4j.util.event.Event

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`UserInfoChangedEvent(IRepositoryProtector notifier, IRepositoryProtector.UserInfo oldUserInfo, IRepositoryProtector.UserInfo newUserInfo)`

## Method Summary

Modifier and Type
Method
Description
`IRepositoryProtector.UserInfo`
`getNewUserInfo()`
`IRepositoryProtector.UserInfo`
`getOldUserInfo()`
`IRepositoryProtector`
`getSource()`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatAdditionalParameters, formatEventName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserInfoChangedEvent

public UserInfoChangedEvent(IRepositoryProtector notifier, IRepositoryProtector.UserInfo oldUserInfo, IRepositoryProtector.UserInfo newUserInfo)

## Method Details

### getSource

public IRepositoryProtector getSource()

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
Overrides:
  `getSource` in class `org.eclipse.net4j.util.event.Event`

### getOldUserInfo

public IRepositoryProtector.UserInfo getOldUserInfo()

### getNewUserInfo

public IRepositoryProtector.UserInfo getNewUserInfo()